<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>TracedEditSession (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TracedEditSession (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/worldedit/NotABlockException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/worldedit/UnknownDirectionException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/TracedEditSession.html" target="_top">Frames</a></li>
<li><a href="TracedEditSession.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.com.sk89q.worldedit.EditSession">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.EditSession">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit</div>
<h2 title="Class TracedEditSession" class="title">Class TracedEditSession</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">com.sk89q.worldedit.EditSession</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.TracedEditSession</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>, <a href="../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a>, <a href="../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a>, java.lang.AutoCloseable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TracedEditSession</span>
extends <a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.sk89q.worldedit.EditSession">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a></h3>
<code><a href="../../../com/sk89q/worldedit/EditSession.ReorderMode.html" title="enum in com.sk89q.worldedit">EditSession.ReorderMode</a>, <a href="../../../com/sk89q/worldedit/EditSession.Stage.html" title="enum in com.sk89q.worldedit">EditSession.Stage</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sk89q.worldedit.EditSession">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a></h3>
<code><a href="../../../com/sk89q/worldedit/EditSession.html#world">world</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/TracedEditSession.html#finalize--">finalize</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.EditSession">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.<a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a></h3>
<code><a href="../../../com/sk89q/worldedit/EditSession.html#center-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.function.pattern.Pattern-">center</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#close--">close</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#commit--">commit</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#countBlocks-com.sk89q.worldedit.regions.Region-java.util.Set-">countBlocks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">createEntity</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#deformRegion-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-java.lang.String-">deformRegion</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#deformRegion-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-java.lang.String-int-">deformRegion</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#disableBuffering--">disableBuffering</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#disableQueue--">disableQueue</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#drainArea-com.sk89q.worldedit.math.BlockVector3-double-">drainArea</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#drainArea-com.sk89q.worldedit.math.BlockVector3-double-boolean-">drainArea</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#drawLine-com.sk89q.worldedit.function.pattern.Pattern-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.math.BlockVector3-double-boolean-">drawLine</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#drawSpline-com.sk89q.worldedit.function.pattern.Pattern-java.util.List-double-double-double-double-double-boolean-">drawSpline</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#enableQueue--">enableQueue</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#enableStandardMode--">enableStandardMode</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#fillXZ-com.sk89q.worldedit.math.BlockVector3-B-double-int-boolean-">fillXZ</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#fillXZ-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.function.pattern.Pattern-double-int-boolean-">fillXZ</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#fixLiquid-com.sk89q.worldedit.math.BlockVector3-double-com.sk89q.worldedit.world.block.BlockType-">fixLiquid</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#flushSession--">flushSession</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">getBiome</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getBlockBag--">getBlockBag</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getBlockChangeCount--">getBlockChangeCount</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getBlockChangeLimit--">getBlockChangeLimit</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getBlockDistribution-com.sk89q.worldedit.regions.Region-boolean-">getBlockDistribution</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getChangeSet--">getChangeSet</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getEntities--">getEntities</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getEntities-com.sk89q.worldedit.regions.Region-">getEntities</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getHighestTerrainBlock-int-int-int-int-">getHighestTerrainBlock</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getHighestTerrainBlock-int-int-int-int-com.sk89q.worldedit.function.mask.Mask-">getHighestTerrainBlock</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getMask--">getMask</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getMaximumPoint--">getMaximumPoint</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getMinimumPoint--">getMinimumPoint</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getReorderMode--">getReorderMode</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getSurvivalExtent--">getSurvivalExtent</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#getWorld--">getWorld</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#green-com.sk89q.worldedit.math.BlockVector3-double-boolean-">green</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#hasFastMode--">hasFastMode</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#hollowOutRegion-com.sk89q.worldedit.regions.Region-int-com.sk89q.worldedit.function.pattern.Pattern-">hollowOutRegion</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#isBatchingChunks--">isBatchingChunks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#isQueueEnabled--">isQueueEnabled</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeBiomeShape-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.world.biome.BiomeType-java.lang.String-boolean-">makeBiomeShape</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeBiomeShape-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.world.biome.BiomeType-java.lang.String-boolean-int-">makeBiomeShape</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeCuboidFaces-com.sk89q.worldedit.regions.Region-B-">makeCuboidFaces</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeCuboidFaces-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.function.pattern.Pattern-">makeCuboidFaces</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeCuboidWalls-com.sk89q.worldedit.regions.Region-B-">makeCuboidWalls</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeCuboidWalls-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.function.pattern.Pattern-">makeCuboidWalls</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeCylinder-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.function.pattern.Pattern-double-double-int-boolean-">makeCylinder</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeCylinder-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.function.pattern.Pattern-double-int-boolean-">makeCylinder</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeFaces-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.function.pattern.Pattern-">makeFaces</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeForest-com.sk89q.worldedit.math.BlockVector3-int-double-com.sk89q.worldedit.util.TreeGenerator.TreeType-">makeForest</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeForest-com.sk89q.worldedit.regions.Region-double-com.sk89q.worldedit.util.TreeGenerator.TreeType-">makeForest</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makePumpkinPatches-com.sk89q.worldedit.math.BlockVector3-int-">makePumpkinPatches</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makePyramid-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.function.pattern.Pattern-int-boolean-">makePyramid</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeShape-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.function.pattern.Pattern-java.lang.String-boolean-">makeShape</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeShape-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.function.pattern.Pattern-java.lang.String-boolean-int-">makeShape</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeSphere-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.function.pattern.Pattern-double-boolean-">makeSphere</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeSphere-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.function.pattern.Pattern-double-double-double-boolean-">makeSphere</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#makeWalls-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.function.pattern.Pattern-">makeWalls</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#moveCuboidRegion-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.BlockVector3-int-boolean-com.sk89q.worldedit.function.pattern.Pattern-">moveCuboidRegion</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#moveRegion-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.BlockVector3-int-boolean-com.sk89q.worldedit.function.pattern.Pattern-">moveRegion</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#naturalizeCuboidBlocks-com.sk89q.worldedit.regions.Region-">naturalizeCuboidBlocks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#overlayCuboidBlocks-com.sk89q.worldedit.regions.Region-B-">overlayCuboidBlocks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#overlayCuboidBlocks-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.function.pattern.Pattern-">overlayCuboidBlocks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#popMissingBlocks--">popMissingBlocks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#rawSetBlock-com.sk89q.worldedit.math.BlockVector3-B-">rawSetBlock</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#redo-com.sk89q.worldedit.EditSession-">redo</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#removeAbove-com.sk89q.worldedit.math.BlockVector3-int-int-">removeAbove</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#removeBelow-com.sk89q.worldedit.math.BlockVector3-int-int-">removeBelow</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#removeNear-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.function.mask.Mask-int-">removeNear</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#replaceBlocks-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.function.mask.Mask-com.sk89q.worldedit.function.pattern.Pattern-">replaceBlocks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#replaceBlocks-com.sk89q.worldedit.regions.Region-java.util.Set-B-">replaceBlocks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#replaceBlocks-com.sk89q.worldedit.regions.Region-java.util.Set-com.sk89q.worldedit.function.pattern.Pattern-">replaceBlocks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setBatchingChunks-boolean-">setBatchingChunks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">setBiome</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-">setBlock</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-com.sk89q.worldedit.EditSession.Stage-">setBlock</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.function.pattern.Pattern-">setBlock</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setBlockBag-com.sk89q.worldedit.extent.inventory.BlockBag-">setBlockBag</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setBlockChangeLimit-int-">setBlockChangeLimit</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setBlocks-com.sk89q.worldedit.regions.Region-B-">setBlocks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setBlocks-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.function.pattern.Pattern-">setBlocks</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setFastMode-boolean-">setFastMode</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setMask-com.sk89q.worldedit.function.mask.Mask-">setMask</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#setReorderMode-com.sk89q.worldedit.EditSession.ReorderMode-">setReorderMode</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#simulateSnow-com.sk89q.worldedit.math.BlockVector3-double-">simulateSnow</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#size--">size</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#smartSetBlock-com.sk89q.worldedit.math.BlockVector3-B-">smartSetBlock</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#stackCuboidRegion-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.BlockVector3-int-boolean-">stackCuboidRegion</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#thaw-com.sk89q.worldedit.math.BlockVector3-double-">thaw</a>, <a href="../../../com/sk89q/worldedit/EditSession.html#undo-com.sk89q.worldedit.EditSession-">undo</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="finalize--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>finalize</h4>
<pre>protected&nbsp;void&nbsp;finalize()
                 throws java.lang.Throwable</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>finalize</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Throwable</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/worldedit/NotABlockException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/worldedit/UnknownDirectionException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/TracedEditSession.html" target="_top">Frames</a></li>
<li><a href="TracedEditSession.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.com.sk89q.worldedit.EditSession">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.EditSession">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
